
<template>
  <div>
    <div style="display:flex;align-items:center">
      <el-input
          placeholder="请输入搜索内容"
          suffix-icon="el-icon-search"
          v-model="params.content.where.condition"
          style="width:200px"
          size="mini"
          class="input-with-select inline-16"
          @keyup.native.enter="listData(params.content.pageNumber=1)"
          @clear="clearData"
          clearable>
      </el-input>
      <slot name="addRemit"></slot>
    </div>
    <div style="margin-top: 15px">
      <tableLayout :layout="tablecols" :data="list" :opwidth="200"  :custom="true" :width="false"  :height="tableHieght" fixedName="operation writeoffamount unwriteoffamount">
        <template v-slot:customcol="scope">
          <div v-if="scope.column.columnname == 'amount'">
            <el-input size="small" v-if="currentItem.sa_paybilldetailid == scope.column.data.sa_paybilldetailid" v-model="scope.column.data.amount"></el-input>
            <span v-else>{{scope.column.data.amount}}</span>
          </div>
          <p v-else>{{scope.column.data[scope.column.columnname]}}</p>
          <p v-if="!scope.column.data[scope.column.columnname] && scope.column.data[scope.column.columnname] !== 0 && scope.column.columnname != 'operation'">--</p>
        </template>
        <template v-slot:opreation="scope">
          <el-button class="inline-16" type="text" size="mini" @click="save(scope.data)" v-if="currentItem.sa_paybilldetailid == scope.data.sa_paybilldetailid">保 存</el-button>
          <slot name="editRemit" :data="scope.data" v-else></slot>
          <slot name="delRemit" :data="scope.data"></slot>
        </template>
      </tableLayout>
    </div>
    <div style="margin-top:16px;text-align:right">
      <el-pagination
          background
          small
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="params.content.pageNumber"
          :page-size="params.content.pageSize"
          layout="total, prev, pager, next, jumper"
          :total="total">
      </el-pagination>
    </div>
  </div>
</template>

<script>
import { log } from '@antv/g2plot/lib/utils'
export default {
  props:["data"],
  data () {
    return {
      tableHieght:"calc(100vh - 380px)",
      tablecols:[],
      list:[],
      total:0,
      search:'',
      params:{
        "id": 20221227092804,
        "version": 1,
        "content": {
            "nocache": true,
            "pageNumber": 1,
            "pageSize":20,
            "sa_paybilldetailid": '',
            "where": {
                "condition": ""
            }
        },
      },
      options:[
      ],
      productList:'',
      /* 当前正在编辑的数据信息 */
      currentItem:''
    }
  },
  provide () {
    return {
    }
  },
  methods:{
    async save (data) {
      let res = await this.$api.requested({
        "id":20221227092904,
        "content": {
          sa_paybillid:this.$route.query.id,
          paybilldetails: [
            {
              "sa_paybilldetailid": data.sa_paybilldetailid,
                "sa_accountclassid":data.sa_accountclassid,
                "amount":data.amount,
            }
          ]
        }
      })
      console.log(res);
      this.tool.showMessage(res,() => {
        this.$emit('onSuccess')
        this.listData()
        this.currentItem = ''
      })
    },
    async listData(){
      this.params.content.sa_paybillid = this.$route.query.id
      const res = await this.$api.requested(this.params)
      this.list = res.data
      this.total = res.total
      console.log(this.list)
    },
    handleSizeChange(val) {
      // console.log(`每页 ${val} 条`);
      this.params.content.pageSize = val
      this.listData()
    },
    handleCurrentChange(val) {
      // console.log(`当前页: ${val}`);
      this.params.content.pageNumber = val
      this.listData()
    },
    clearData(){
      this.search = ""
      this.params.content.where.condition = this.search
      this.listData()
    },
    queryClick(){
      this.params.content.where.condition = this.search
      this.listData()
    }
  },
  created() {
    this.listData()
    this.tablecols = this.tool.tabelCol(this.$route.name).accountTable.tablecols
  }
}

</script>
<style scoped>

</style>